Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUTableDef.JUEditorPropDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.jbo.uicli.jui.JUTableDef.JUEditorPropDef`

Direct Known Subclasses:
  JUFormatEditorPropDef, JULOVEditorPropDef

Enclosing class:
  JUTableDef

public abstract static class JUTableDef.JUEditorPropDef
extends oracle.adf.model.binding.DCDefBase

Field Summary
`static java.lang.String` | `ELEMENT_NAME`
`static java.lang.String` | `PNAME_COMBOBOX_TYPE`
`static java.lang.String` | `PNAME_DTClass`
`static java.lang.String` | `PNAME_EditorName`
`static java.lang.String` | `PNAME_FORMATTTED_TEXTFIELD_TYPE`
`static java.lang.String` | `PNAME_RTClass`
`static java.lang.String` | `PNAME_SPINNER_TYPE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUTableDef.JUEditorPropDef()`

Method Summary
`java.lang.String` | `getDTClassName()`
`abstract java.lang.String` | `getEditorName()`
`java.lang.String` | `getRTClassName()`
`abstract JUTableCellEditor` | `getTableCellEditor()`
`abstract JUTableCellRenderer` | `getTableCellRenderer()`
`java.lang.String` | `getXMLElementTag()`
`void` | `init(java.util.HashMap initValues)`
`protected void` | `retrieveFromXML(DefElement xmlElement, java.util.HashMap valueTab)`
`abstract void` | `setAttrName(java.lang.String attrName)`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadChildrenFromXML, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_NAME

    public static final java.lang.String ELEMENT_NAME

  See Also:
    Constant Field Values

### PNAME_DTClass

    public static final java.lang.String PNAME_DTClass

  See Also:
    Constant Field Values

### PNAME_RTClass

    public static final java.lang.String PNAME_RTClass

  See Also:
    Constant Field Values

### PNAME_EditorName

    public static final java.lang.String PNAME_EditorName

  See Also:
    Constant Field Values

### PNAME_FORMATTTED_TEXTFIELD_TYPE

    public static final java.lang.String PNAME_FORMATTTED_TEXTFIELD_TYPE

  See Also:
    Constant Field Values

### PNAME_COMBOBOX_TYPE

    public static final java.lang.String PNAME_COMBOBOX_TYPE

  See Also:
    Constant Field Values

### PNAME_SPINNER_TYPE

    public static final java.lang.String PNAME_SPINNER_TYPE

  See Also:
    Constant Field Values

Constructor Detail

### JUTableDef.JUEditorPropDef

    public JUTableDef.JUEditorPropDef()

Method Detail

### getTableCellEditor

    public abstract JUTableCellEditor getTableCellEditor()

### getTableCellRenderer

    public abstract JUTableCellRenderer getTableCellRenderer()

### setAttrName

    public abstract void setAttrName(java.lang.String attrName)

### getEditorName

    public abstract java.lang.String getEditorName()

### getRTClassName

    public java.lang.String getRTClassName()

### getDTClassName

    public java.lang.String getDTClassName()

### getXMLElementTag

    public java.lang.String getXMLElementTag()

### init

    public void init(java.util.HashMap initValues)

### retrieveFromXML

    protected void retrieveFromXML(DefElement xmlElement,
                                   java.util.HashMap valueTab)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.